gdcm::network::ULActionAR9 Class Reference

`#include <gdcmULActionAR.h>`

Inheritance diagram for gdcm::network::ULActionAR9:
[legend]
Collaboration diagram for gdcm::network::ULActionAR9:
[legend]

## Public Member Functions

EStateID | PerformAction (Subject *s, ULEvent &inEvent, ULConnection &inConnection, bool &outWaitingForEvent, EEventID &outRaisedEvent) override
Public Member Functions inherited from gdcm::network::ULAction
| ULAction ()=default
| ULAction (const ULAction &inAction)=delete
virtual | ~ULAction ()=default
void | operator= (const ULAction &)=delete

## Member Function Documentation

## PerformAction()

EStateID gdcm::network::ULActionAR9::PerformAction | ( | Subject * | s,
|  | ULEvent & | inEvent,
|  | ULConnection & | inConnection,
|  | bool & | outWaitingForEvent,
|  | EEventID & | outRaisedEvent )

override virtual

Implements gdcm::network::ULAction.

The documentation for this class was generated from the following file:

- gdcmULActionAR.h